Add step to template's workflow
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: workflowStep
Indicates the action to perform. Valid values:
pause_before: The workflow should pause before the trigger described bytriggerOnItemis reached.
The timestamp of when the workflow step transitioned to completed status.
This property is read-only.
The status of the step. Valid values:
inactivein_progresspausedpendingcompleted
This property is read-only.
The timestamp of when the workflow step transitioned to in_progress status.
This property is read-only.
The type of item that triggers this workflow step. Valid values:
routing_order
A unique identifier for this workflow step.
This property is read-only.
Response
Indicates the action to perform. Valid values:
pause_before: The workflow should pause before the trigger described bytriggerOnItemis reached.
The timestamp of when the workflow step transitioned to completed status.
This property is read-only.
The status of the step. Valid values:
inactivein_progresspausedpendingcompleted
This property is read-only.
The timestamp of when the workflow step transitioned to in_progress status.
This property is read-only.
The type of item that triggers this workflow step. Valid values:
routing_order
A unique identifier for this workflow step.
This property is read-only.